Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.xensource.xenapi
Class VMPP

    java.lang.Object
      com.xensource.xenapi.XenAPIObject
          com.xensource.xenapi.VMPP

    public class VMPP

extends XenAPIObject

VM Protection Policy

Nested Class Summary
`static class` | `VMPP.Record` Represents all the fields in a VMPP

Field Summary
`protected String` | `ref` The XenAPI reference (OpaqueRef) to this object.

Method Summary
`void` | `addToAlarmConfig(Connection c, String key, String value)`
`void` | `addToArchiveSchedule(Connection c, String key, String value)`
`void` | `addToArchiveTargetConfig(Connection c, String key, String value)`
`void` | `addToBackupSchedule(Connection c, String key, String value)`
`static String` | `archiveNow(Connection c, VM snapshot)` This call archives the snapshot provided as a parameter
`static VMPP` | `create(Connection c, VMPP.Record record)` Create a new VMPP instance, and return its handle.
`static Task` | `createAsync(Connection c, VMPP.Record record)` Create a new VMPP instance, and return its handle.
`void` | `destroy(Connection c)` Destroy the specified VMPP instance.
`Task` | `destroyAsync(Connection c)` Destroy the specified VMPP instance.
`boolean` | `equals(Object obj)` If obj is a VMPP, compares XenAPI references for equality.
`Map<String,String>` | `getAlarmConfig(Connection c)` Get the alarm_config field of the given VMPP.
`Set<String>` | `getAlerts(Connection c, Long hoursFromNow)` This call fetches a history of alerts for a given protection policy
`static Set<VMPP>` | `getAll(Connection c)` Return a list of all the VMPPs known to the system.
`static Map<VMPP,VMPP.Record>` | `getAllRecords(Connection c)` Return a map of VMPP references to VMPP records for all VMPPs known to the system.
`Types.VmppArchiveFrequency` | `getArchiveFrequency(Connection c)` Get the archive_frequency field of the given VMPP.
`Date` | `getArchiveLastRunTime(Connection c)` Get the archive_last_run_time field of the given VMPP.
`Map<String,String>` | `getArchiveSchedule(Connection c)` Get the archive_schedule field of the given VMPP.
`Map<String,String>` | `getArchiveTargetConfig(Connection c)` Get the archive_target_config field of the given VMPP.
`Types.VmppArchiveTargetType` | `getArchiveTargetType(Connection c)` Get the archive_target_type field of the given VMPP.
`Types.VmppBackupFrequency` | `getBackupFrequency(Connection c)` Get the backup_frequency field of the given VMPP.
`Date` | `getBackupLastRunTime(Connection c)` Get the backup_last_run_time field of the given VMPP.
`Long` | `getBackupRetentionValue(Connection c)` Get the backup_retention_value field of the given VMPP.
`Map<String,String>` | `getBackupSchedule(Connection c)` Get the backup_schedule field of the given VMPP.
`Types.VmppBackupType` | `getBackupType(Connection c)` Get the backup_type field of the given VMPP.
`static Set<VMPP>` | `getByNameLabel(Connection c, String label)` Get all the VMPP instances with the given label.
`static VMPP` | `getByUuid(Connection c, String uuid)` Get a reference to the VMPP instance with the specified UUID.
`Boolean` | `getIsAlarmEnabled(Connection c)` Get the is_alarm_enabled field of the given VMPP.
`Boolean` | `getIsArchiveRunning(Connection c)` Get the is_archive_running field of the given VMPP.
`Boolean` | `getIsBackupRunning(Connection c)` Get the is_backup_running field of the given VMPP.
`Boolean` | `getIsPolicyEnabled(Connection c)` Get the is_policy_enabled field of the given VMPP.
`String` | `getNameDescription(Connection c)` Get the name/description field of the given VMPP.
`String` | `getNameLabel(Connection c)` Get the name/label field of the given VMPP.
`Set<String>` | `getRecentAlerts(Connection c)` Get the recent_alerts field of the given VMPP.
`VMPP.Record` | `getRecord(Connection c)` Get a record containing the current state of the given VMPP.
`String` | `getUuid(Connection c)` Get the uuid field of the given VMPP.
`Set<VM>` | `getVMs(Connection c)` Get the VMs field of the given VMPP.
`int` | `hashCode()`
`String` | `protectNow(Connection c)` This call executes the protection policy immediately
`void` | `removeFromAlarmConfig(Connection c, String key)`
`void` | `removeFromArchiveSchedule(Connection c, String key)`
`void` | `removeFromArchiveTargetConfig(Connection c, String key)`
`void` | `removeFromBackupSchedule(Connection c, String key)`
`void` | `setAlarmConfig(Connection c, Map<String,String> value)`
`void` | `setArchiveFrequency(Connection c, Types.VmppArchiveFrequency value)` Set the value of the archive_frequency field
`void` | `setArchiveLastRunTime(Connection c, Date value)`
`void` | `setArchiveSchedule(Connection c, Map<String,String> value)`
`void` | `setArchiveTargetConfig(Connection c, Map<String,String> value)`
`void` | `setArchiveTargetType(Connection c, Types.VmppArchiveTargetType value)` Set the value of the archive_target_config_type field
`void` | `setBackupFrequency(Connection c, Types.VmppBackupFrequency value)` Set the value of the backup_frequency field
`void` | `setBackupLastRunTime(Connection c, Date value)`
`void` | `setBackupRetentionValue(Connection c, Long value)`
`void` | `setBackupSchedule(Connection c, Map<String,String> value)`
`void` | `setBackupType(Connection c, Types.VmppBackupType backupType)` Set the backup_type field of the given VMPP.
`void` | `setIsAlarmEnabled(Connection c, Boolean value)` Set the value of the is_alarm_enabled field
`void` | `setIsPolicyEnabled(Connection c, Boolean isPolicyEnabled)` Set the is_policy_enabled field of the given VMPP.
`void` | `setNameDescription(Connection c, String description)` Set the name/description field of the given VMPP.
`void` | `setNameLabel(Connection c, String label)` Set the name/label field of the given VMPP.
`String` | `toWireString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ref

    protected final String ref

  The XenAPI reference (OpaqueRef) to this object.

Method Detail

### toWireString

    public String toWireString()

  Specified by:
    `toWireString` in class `XenAPIObject`
  Returns:
    The XenAPI reference (OpaqueRef) to this object.

### equals

    public boolean equals(Object obj)

  If obj is a VMPP, compares XenAPI references for equality.

  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### getRecord

    public VMPP.Record getRecord(Connection c)
                          throws Types.BadServerResponse,
                                 Types.XenAPIException,
                                 org.apache.xmlrpc.XmlRpcException

  Get a record containing the current state of the given VMPP.

  Returns:
    all fields from the object
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### getByUuid

    public static VMPP getByUuid(Connection c,
                                 String uuid)
                          throws Types.BadServerResponse,
                                 Types.XenAPIException,
                                 org.apache.xmlrpc.XmlRpcException

  Get a reference to the VMPP instance with the specified UUID.

  Parameters:
    `uuid` - UUID of object to return
  Returns:
    reference to the object
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### createAsync

    public static Task createAsync(Connection c,
                                   VMPP.Record record)
                            throws Types.BadServerResponse,
                                   Types.XenAPIException,
                                   org.apache.xmlrpc.XmlRpcException

  Create a new VMPP instance, and return its handle.

  Parameters:
    `record` - All constructor arguments
  Returns:
    Task
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### create

    public static VMPP create(Connection c,
                              VMPP.Record record)
                       throws Types.BadServerResponse,
                              Types.XenAPIException,
                              org.apache.xmlrpc.XmlRpcException

  Create a new VMPP instance, and return its handle.

  Parameters:
    `record` - All constructor arguments
  Returns:
    reference to the newly created object
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### destroyAsync

    public Task destroyAsync(Connection c)
                      throws Types.BadServerResponse,
                             Types.XenAPIException,
                             org.apache.xmlrpc.XmlRpcException

  Destroy the specified VMPP instance.

  Returns:
    Task
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### destroy

    public void destroy(Connection c)
                 throws Types.BadServerResponse,
                        Types.XenAPIException,
                        org.apache.xmlrpc.XmlRpcException

  Destroy the specified VMPP instance.

  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### getByNameLabel

    public static Set<VMPP> getByNameLabel(Connection c,
                                           String label)
                                    throws Types.BadServerResponse,
                                           Types.XenAPIException,
                                           org.apache.xmlrpc.XmlRpcException

  Get all the VMPP instances with the given label.

  Parameters:
    `label` - label of object to return
  Returns:
    references to objects with matching names
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### getUuid

    public String getUuid(Connection c)
                   throws Types.BadServerResponse,
                          Types.XenAPIException,
                          org.apache.xmlrpc.XmlRpcException

  Get the uuid field of the given VMPP.

  Returns:
    value of the field
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### getNameLabel

    public String getNameLabel(Connection c)
                        throws Types.BadServerResponse,
                               Types.XenAPIException,
                               org.apache.xmlrpc.XmlRpcException

  Get the name/label field of the given VMPP.

  Returns:
    value of the field
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### getNameDescription

    public String getNameDescription(Connection c)
                              throws Types.BadServerResponse,
                                     Types.XenAPIException,
                                     org.apache.xmlrpc.XmlRpcException

  Get the name/description field of the given VMPP.

  Returns:
    value of the field
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### getIsPolicyEnabled

    public Boolean getIsPolicyEnabled(Connection c)
                               throws Types.BadServerResponse,
                                      Types.XenAPIException,
                                      org.apache.xmlrpc.XmlRpcException

  Get the is_policy_enabled field of the given VMPP.

  Returns:
    value of the field
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### getBackupType

    public Types.VmppBackupType getBackupType(Connection c)
                                       throws Types.BadServerResponse,
                                              Types.XenAPIException,
                                              org.apache.xmlrpc.XmlRpcException

  Get the backup_type field of the given VMPP.

  Returns:
    value of the field
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### getBackupRetentionValue

    public Long getBackupRetentionValue(Connection c)
                                 throws Types.BadServerResponse,
                                        Types.XenAPIException,
                                        org.apache.xmlrpc.XmlRpcException

  Get the backup_retention_value field of the given VMPP.

  Returns:
    value of the field
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### getBackupFrequency

    public Types.VmppBackupFrequency getBackupFrequency(Connection c)
                                                 throws Types.BadServerResponse,
                                                        Types.XenAPIException,
                                                        org.apache.xmlrpc.XmlRpcException

  Get the backup_frequency field of the given VMPP.

  Returns:
    value of the field
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### getBackupSchedule

    public Map<String,String> getBackupSchedule(Connection c)
                                         throws Types.BadServerResponse,
                                                Types.XenAPIException,
                                                org.apache.xmlrpc.XmlRpcException

  Get the backup_schedule field of the given VMPP.

  Returns:
    value of the field
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### getIsBackupRunning

    public Boolean getIsBackupRunning(Connection c)
                               throws Types.BadServerResponse,
                                      Types.XenAPIException,
                                      org.apache.xmlrpc.XmlRpcException

  Get the is_backup_running field of the given VMPP.

  Returns:
    value of the field
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### getBackupLastRunTime

    public Date getBackupLastRunTime(Connection c)
                              throws Types.BadServerResponse,
                                     Types.XenAPIException,
                                     org.apache.xmlrpc.XmlRpcException

  Get the backup_last_run_time field of the given VMPP.

  Returns:
    value of the field
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### getArchiveTargetType

    public Types.VmppArchiveTargetType getArchiveTargetType(Connection c)
                                                     throws Types.BadServerResponse,
                                                            Types.XenAPIException,
                                                            org.apache.xmlrpc.XmlRpcException

  Get the archive_target_type field of the given VMPP.

  Returns:
    value of the field
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### getArchiveTargetConfig

    public Map<String,String> getArchiveTargetConfig(Connection c)
                                              throws Types.BadServerResponse,
                                                     Types.XenAPIException,
                                                     org.apache.xmlrpc.XmlRpcException

  Get the archive_target_config field of the given VMPP.

  Returns:
    value of the field
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### getArchiveFrequency

    public Types.VmppArchiveFrequency getArchiveFrequency(Connection c)
                                                   throws Types.BadServerResponse,
                                                          Types.XenAPIException,
                                                          org.apache.xmlrpc.XmlRpcException

  Get the archive_frequency field of the given VMPP.

  Returns:
    value of the field
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### getArchiveSchedule

    public Map<String,String> getArchiveSchedule(Connection c)
                                          throws Types.BadServerResponse,
                                                 Types.XenAPIException,
                                                 org.apache.xmlrpc.XmlRpcException

  Get the archive_schedule field of the given VMPP.

  Returns:
    value of the field
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### getIsArchiveRunning

    public Boolean getIsArchiveRunning(Connection c)
                                throws Types.BadServerResponse,
                                       Types.XenAPIException,
                                       org.apache.xmlrpc.XmlRpcException

  Get the is_archive_running field of the given VMPP.

  Returns:
    value of the field
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### getArchiveLastRunTime

    public Date getArchiveLastRunTime(Connection c)
                               throws Types.BadServerResponse,
                                      Types.XenAPIException,
                                      org.apache.xmlrpc.XmlRpcException

  Get the archive_last_run_time field of the given VMPP.

  Returns:
    value of the field
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### getVMs

    public Set<VM> getVMs(Connection c)
                   throws Types.BadServerResponse,
                          Types.XenAPIException,
                          org.apache.xmlrpc.XmlRpcException

  Get the VMs field of the given VMPP.

  Returns:
    value of the field
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### getIsAlarmEnabled

    public Boolean getIsAlarmEnabled(Connection c)
                              throws Types.BadServerResponse,
                                     Types.XenAPIException,
                                     org.apache.xmlrpc.XmlRpcException

  Get the is_alarm_enabled field of the given VMPP.

  Returns:
    value of the field
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### getAlarmConfig

    public Map<String,String> getAlarmConfig(Connection c)
                                      throws Types.BadServerResponse,
                                             Types.XenAPIException,
                                             org.apache.xmlrpc.XmlRpcException

  Get the alarm_config field of the given VMPP.

  Returns:
    value of the field
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### getRecentAlerts

    public Set<String> getRecentAlerts(Connection c)
                                throws Types.BadServerResponse,
                                       Types.XenAPIException,
                                       org.apache.xmlrpc.XmlRpcException

  Get the recent_alerts field of the given VMPP.

  Returns:
    value of the field
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### setNameLabel

    public void setNameLabel(Connection c,
                             String label)
                      throws Types.BadServerResponse,
                             Types.XenAPIException,
                             org.apache.xmlrpc.XmlRpcException

  Set the name/label field of the given VMPP.

  Parameters:
    `label` - New value to set
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### setNameDescription

    public void setNameDescription(Connection c,
                                   String description)
                            throws Types.BadServerResponse,
                                   Types.XenAPIException,
                                   org.apache.xmlrpc.XmlRpcException

  Set the name/description field of the given VMPP.

  Parameters:
    `description` - New value to set
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### setIsPolicyEnabled

    public void setIsPolicyEnabled(Connection c,
                                   Boolean isPolicyEnabled)
                            throws Types.BadServerResponse,
                                   Types.XenAPIException,
                                   org.apache.xmlrpc.XmlRpcException

  Set the is_policy_enabled field of the given VMPP.

  Parameters:
    `isPolicyEnabled` - New value to set
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### setBackupType

    public void setBackupType(Connection c,
                              Types.VmppBackupType backupType)
                       throws Types.BadServerResponse,
                              Types.XenAPIException,
                              org.apache.xmlrpc.XmlRpcException

  Set the backup_type field of the given VMPP.

  Parameters:
    `backupType` - New value to set
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### protectNow

    public String protectNow(Connection c)
                      throws Types.BadServerResponse,
                             Types.XenAPIException,
                             org.apache.xmlrpc.XmlRpcException

  This call executes the protection policy immediately

  Returns:
    An XMLRPC result
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### archiveNow

    public static String archiveNow(Connection c,
                                    VM snapshot)
                             throws Types.BadServerResponse,
                                    Types.XenAPIException,
                                    org.apache.xmlrpc.XmlRpcException

  This call archives the snapshot provided as a parameter

  Parameters:
    `snapshot` - The snapshot to archive
  Returns:
    An XMLRPC result
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### getAlerts

    public Set<String> getAlerts(Connection c,
                                 Long hoursFromNow)
                          throws Types.BadServerResponse,
                                 Types.XenAPIException,
                                 org.apache.xmlrpc.XmlRpcException

  This call fetches a history of alerts for a given protection policy

  Parameters:
    `hoursFromNow` - how many hours in the past the oldest record to fetch is
  Returns:
    A list of alerts encoded in xml
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### setBackupRetentionValue

    public void setBackupRetentionValue(Connection c,
                                        Long value)
                                 throws Types.BadServerResponse,
                                        Types.XenAPIException,
                                        org.apache.xmlrpc.XmlRpcException

  Parameters:
    `value` - the value to set
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### setBackupFrequency

    public void setBackupFrequency(Connection c,
                                   Types.VmppBackupFrequency value)
                            throws Types.BadServerResponse,
                                   Types.XenAPIException,
                                   org.apache.xmlrpc.XmlRpcException

  Set the value of the backup_frequency field

  Parameters:
    `value` - the backup frequency
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### setBackupSchedule

    public void setBackupSchedule(Connection c,
                                  Map<String,String> value)
                           throws Types.BadServerResponse,
                                  Types.XenAPIException,
                                  org.apache.xmlrpc.XmlRpcException

  Parameters:
    `value` - the value to set
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### setArchiveFrequency

    public void setArchiveFrequency(Connection c,
                                    Types.VmppArchiveFrequency value)
                             throws Types.BadServerResponse,
                                    Types.XenAPIException,
                                    org.apache.xmlrpc.XmlRpcException

  Set the value of the archive_frequency field

  Parameters:
    `value` - the archive frequency
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### setArchiveSchedule

    public void setArchiveSchedule(Connection c,
                                   Map<String,String> value)
                            throws Types.BadServerResponse,
                                   Types.XenAPIException,
                                   org.apache.xmlrpc.XmlRpcException

  Parameters:
    `value` - the value to set
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### setArchiveTargetType

    public void setArchiveTargetType(Connection c,
                                     Types.VmppArchiveTargetType value)
                              throws Types.BadServerResponse,
                                     Types.XenAPIException,
                                     org.apache.xmlrpc.XmlRpcException

  Set the value of the archive_target_config_type field

  Parameters:
    `value` - the archive target config type
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### setArchiveTargetConfig

    public void setArchiveTargetConfig(Connection c,
                                       Map<String,String> value)
                                throws Types.BadServerResponse,
                                       Types.XenAPIException,
                                       org.apache.xmlrpc.XmlRpcException

  Parameters:
    `value` - the value to set
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### setIsAlarmEnabled

    public void setIsAlarmEnabled(Connection c,
                                  Boolean value)
                           throws Types.BadServerResponse,
                                  Types.XenAPIException,
                                  org.apache.xmlrpc.XmlRpcException

  Set the value of the is_alarm_enabled field

  Parameters:
    `value` - true if alarm is enabled for this policy
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### setAlarmConfig

    public void setAlarmConfig(Connection c,
                               Map<String,String> value)
                        throws Types.BadServerResponse,
                               Types.XenAPIException,
                               org.apache.xmlrpc.XmlRpcException

  Parameters:
    `value` - the value to set
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### addToBackupSchedule

    public void addToBackupSchedule(Connection c,
                                    String key,
                                    String value)
                             throws Types.BadServerResponse,
                                    Types.XenAPIException,
                                    org.apache.xmlrpc.XmlRpcException

  Parameters:
    `key` - the key to add
    `value` - the value to add
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### addToArchiveTargetConfig

    public void addToArchiveTargetConfig(Connection c,
                                         String key,
                                         String value)
                                  throws Types.BadServerResponse,
                                         Types.XenAPIException,
                                         org.apache.xmlrpc.XmlRpcException

  Parameters:
    `key` - the key to add
    `value` - the value to add
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### addToArchiveSchedule

    public void addToArchiveSchedule(Connection c,
                                     String key,
                                     String value)
                              throws Types.BadServerResponse,
                                     Types.XenAPIException,
                                     org.apache.xmlrpc.XmlRpcException

  Parameters:
    `key` - the key to add
    `value` - the value to add
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### addToAlarmConfig

    public void addToAlarmConfig(Connection c,
                                 String key,
                                 String value)
                          throws Types.BadServerResponse,
                                 Types.XenAPIException,
                                 org.apache.xmlrpc.XmlRpcException

  Parameters:
    `key` - the key to add
    `value` - the value to add
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### removeFromBackupSchedule

    public void removeFromBackupSchedule(Connection c,
                                         String key)
                                  throws Types.BadServerResponse,
                                         Types.XenAPIException,
                                         org.apache.xmlrpc.XmlRpcException

  Parameters:
    `key` - the key to remove
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### removeFromArchiveTargetConfig

    public void removeFromArchiveTargetConfig(Connection c,
                                              String key)
                                       throws Types.BadServerResponse,
                                              Types.XenAPIException,
                                              org.apache.xmlrpc.XmlRpcException

  Parameters:
    `key` - the key to remove
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### removeFromArchiveSchedule

    public void removeFromArchiveSchedule(Connection c,
                                          String key)
                                   throws Types.BadServerResponse,
                                          Types.XenAPIException,
                                          org.apache.xmlrpc.XmlRpcException

  Parameters:
    `key` - the key to remove
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### removeFromAlarmConfig

    public void removeFromAlarmConfig(Connection c,
                                      String key)
                               throws Types.BadServerResponse,
                                      Types.XenAPIException,
                                      org.apache.xmlrpc.XmlRpcException

  Parameters:
    `key` - the key to remove
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### setBackupLastRunTime

    public void setBackupLastRunTime(Connection c,
                                     Date value)
                              throws Types.BadServerResponse,
                                     Types.XenAPIException,
                                     org.apache.xmlrpc.XmlRpcException

  Parameters:
    `value` - the value to set
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### setArchiveLastRunTime

    public void setArchiveLastRunTime(Connection c,
                                      Date value)
                               throws Types.BadServerResponse,
                                      Types.XenAPIException,
                                      org.apache.xmlrpc.XmlRpcException

  Parameters:
    `value` - the value to set
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### getAll

    public static Set<VMPP> getAll(Connection c)
                            throws Types.BadServerResponse,
                                   Types.XenAPIException,
                                   org.apache.xmlrpc.XmlRpcException

  Return a list of all the VMPPs known to the system.

  Returns:
    references to all objects
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### getAllRecords

    public static Map<VMPP,VMPP.Record> getAllRecords(Connection c)
                                               throws Types.BadServerResponse,
                                                      Types.XenAPIException,
                                                      org.apache.xmlrpc.XmlRpcException

  Return a map of VMPP references to VMPP records for all VMPPs known to the system.

  Returns:
    records of all objects
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD